Subject: Re: bug#37533: waybar fails to build

From: Efraim Flashner <[email-masked]>
Date: Sun, 6 Oct 2019 11:07:17 +0300

On Sun, Oct 06, 2019 at 12:52:28AM -0500, Bradley Haggerty wrote:
> This issue has persisted across a few guix updates now, but I would
> like to add that I am running Guix System. My current guix version is:
> guix (GNU Guix) 5a54baf67cfb91ad5062a4a061bc6d083096f9d8
> 
> This program is a customizable panel for use on wayland, possibly
> comparable to polybar. I haven't gotten around to switching to it from
> Sway's default "swaybar" yet, but I've kept it installed for a rainy
> day. I know we don't have many wayland users, so I fear if I just
> uninstall it to make updates less annoying, it may go unsolved for a
> long time. Let me know if more info is needed here. I am bdju on the
> guix irc.
> 

I'm not exactly sure where it was looking for fmt/time.h, but I updated
waybar to 0.8.0 and it now builds correctly. I'll leave the bug open for
now so you can test out the update and see if it works correctly. I
don't have a wayland system to test it on.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted